﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DeftereYaz.ascx.cs" Inherits="ZiyaretciDefterim.DeftereYaz" %>

<asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>

            <script type="text/javascript">
                var pbControl = null;
                var prm = Sys.WebForms.PageRequestManager.getInstance();
                prm.add_beginRequest(BeginRequestHandler);
                prm.add_endRequest(EndRequestHandler);
                function BeginRequestHandler(sender, args) {
                    pbControl = args.get_postBackElement();  //postback 
                    pbControl.disabled = true;
                }
                function EndRequestHandler(sender, args) {
                    pbControl.disabled = false;
                    pbControl = null;
                }
            </script>

<asp:UpdatePanel ID="UpdatePanel1" runat="server">

    <ContentTemplate>

    
        <table class="tablom2">
            <tr>
                <td colspan="2"><div style="font-size:16px; font-weight:bolder; float:left; color:#999; padding-bottom:10px;">DEFTERE YAZMAK İSTER MİSİNİZ ?</div></td>
            </tr>
            <tr>
                <td class="auto-style4" colspan="1"><strong>Ad Soyad</strong></td>
                <td class="auto-style4"><strong>Mesajınız</strong></td>
            </tr>
            <tr>
                <td class="auto-style4">
                    <asp:TextBox ID="yazan" runat="server" CssClass="txtboxStil" MaxLength="50" TabIndex="1"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="yazan" Display="Dynamic" ErrorMessage="Lütfen bu alanı doldurun !" ForeColor="#CC0000" SetFocusOnError="True"></asp:RequiredFieldValidator>
                    <asp:RegularExpressionValidator ID="RegularExpressionValidator2" runat="server" ControlToValidate="yazan" Display="Dynamic" ErrorMessage="Lütfen Adınızı ve Soyadınızı girin !" ForeColor="#CC0000" SetFocusOnError="True" ValidationExpression="^[a-zA-Z,ç,Ç,ğ,Ğ,ı,İ,ö,Ö,ş,Ş,ü,Ü,''-'\s]{5,50}$"></asp:RegularExpressionValidator>
                </td>
                <td class="auto-style4" rowspan="5">
                    <asp:TextBox ID="mesaj" runat="server" TextMode="MultiLine" CssClass="txtboxStil2" TabIndex="4"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ControlToValidate="mesaj" Display="Dynamic" ErrorMessage="Lütfen mesajınızı yazın ki yayınlayalım !" ForeColor="#CC0000" SetFocusOnError="True"></asp:RequiredFieldValidator>
                    <asp:RegularExpressionValidator ID="RegularExpressionValidator4" runat="server" ControlToValidate="mesaj" Display="Dynamic" ErrorMessage="Bu alan için en az 10, en çok 750 karakter girilebilir !" ValidationExpression="^[\s\S]{10,750}$" ForeColor="#CC0000" SetFocusOnError="True"></asp:RegularExpressionValidator>
                </td>
            </tr>
            <tr>
                <td class="auto-style4"><strong>E-Posta (defterde gösterilmeyecek)</strong></td>
            </tr>
            <tr>
                <td class="auto-style4">
                    <asp:TextBox ID="eposta" runat="server" CssClass="txtboxStil" MaxLength="50" TabIndex="2"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="eposta" Display="Dynamic" ErrorMessage="Lütfen bu alanı doldurun !" ForeColor="#CC0000" SetFocusOnError="True"></asp:RequiredFieldValidator>
                    <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ControlToValidate="eposta" Display="Dynamic" ErrorMessage="Geçerli bir e-mail adresi girin !" ForeColor="#CC0000" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" SetFocusOnError="True"></asp:RegularExpressionValidator>
                </td>
            </tr>
            <tr>
                <td class="auto-style4"><strong>Şehir</strong></td>
            </tr>
            <tr>
                <td class="auto-style4">
                    <asp:TextBox ID="sehir" runat="server" CssClass="txtboxStil" MaxLength="50" TabIndex="3"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="RequiredFieldValidator3" runat="server" ControlToValidate="sehir" Display="Dynamic" ErrorMessage="Lütfen bu alanı doldurun !" ForeColor="#CC0000" SetFocusOnError="True"></asp:RequiredFieldValidator>
                    <asp:RegularExpressionValidator ID="RegularExpressionValidator3" runat="server" ControlToValidate="sehir" ValidationExpression="^[a-zA-Z,ç,Ç,ğ,Ğ,ı,İ,ö,Ö,ş,Ş,ü,Ü,''-'\s]{3,50}$" Display="Dynamic" ErrorMessage="Geçersiz giriş !" ForeColor="#CC0000" SetFocusOnError="True"></asp:RegularExpressionValidator>
                </td>
            </tr>
            <tr>
                <td class="auto-style4">
                    
                    <asp:Button ID="btnGonder" runat="server" OnClick="btnGonder_Click" Text="Deftere Yaz" TabIndex="4" />
                </td>
                <td class="auto-style4">
                    <asp:Label ID="lblMesaj" runat="server" ForeColor="#0066CC" Font-Bold="True"></asp:Label>
                </td>
            </tr>
        </table>
    
    </ContentTemplate>

</asp:UpdatePanel>
<asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="UpdatePanel1">
    <ProgressTemplate><center><strong>Bilgiler kaydediliyor, lütfen bekleyiniz...</strong></center></ProgressTemplate>
</asp:UpdateProgress>

    <p>
        Sevgili ziyaretçimiz, yukarıdaki form vasıtası ile bırakacağınız mesajınız öncelikle site yöneticimiz tarafından kontrol edilecek ve uygun görüldüğü taktirde onaylanıp <br />yayına alınacaktır, ilginize teşekkürler...</p>
